( cd usr/lib ; rm -rf libgtkhex.so.0 )
( cd usr/lib ; ln -sf libgtkhex.so.0.0.0 libgtkhex.so.0 )
( cd usr/lib ; rm -rf libgtkhex.so )
( cd usr/lib ; ln -sf libgtkhex.so.0.0.0 libgtkhex.so )

if [ -x usr/bin/gconftool-2 ]; then
GCONF_CONFIG_SOURCE="$(usr/bin/gconftool-2 --get-default-source)" usr/bin/gconftool-2 --makefile-install-rule etc/gconf/schemas/ghex2.schemas >/dev/null 2>&1
fi
if [ -x usr/bin/rarian-sk-update ]; then
  usr/bin/rarian-sk-update 1> /dev/null 2> /dev/null
fi

if [ -x usr/bin/update-desktop-database ]; then
  usr/bin/update-desktop-database 1> /dev/null 2> /dev/null
fi

if [ -x usr/bin/update-mime-database ]; then
  usr/bin/update-mime-database usr/share/mime 1> /dev/null 2> /dev/null
fi

if [ -e usr/share/icons/gnome/icon-theme.cache ]; then
   rm -f usr/share/icons/gnome/icon-theme.cache
fi
usr/bin/gtk-update-icon-cache -f -q --ignore-theme-index usr/share/icons/gnome

# Restart gconfd-2 if running to reload new gconf settings
if ps acx | grep -q gconfd-2 ; then
        killall -HUP gconfd-2 ;
fi
